package com.flyfish.framework.annotations;

import com.flyfish.framework.enums.BlankEnum;
import com.flyfish.framework.enums.NamedEnum;

import java.lang.annotation.*;

/**
 * 字典值
 *
 * @author wangyu
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD})
@Documented
public @interface DictValue {

    // 字典值所属code
    String value() default "";

    // 使用枚举类标记
    Class<? extends NamedEnum> enumType() default BlankEnum.class;

    // 中文名称
    String name() default "";
}
