package com.flyfish.framework.service;


import com.flyfish.framework.domain.PermissionQo;
import com.flyfish.framework.domain.po.Permission;
import com.flyfish.framework.domain.po.Role;
import com.flyfish.framework.enums.RoleType;
import com.flyfish.framework.service.impl.BaseServiceImpl;
import lombok.RequiredArgsConstructor;
import org.apache.commons.lang3.BooleanUtils;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class RoleService extends BaseServiceImpl<Role> {

    private final PermissionService permissionService;

    /**
     * 如果是管理员，设置拥有所有权限
     *
     * @param entity 实体
     * @return 结果
     */
    @Override
    public Role create(Role entity) {
        if (entity.isSystem()) {
            entity.setPermissions(permissionService.getAll());
        } else if (BooleanUtils.isTrue(entity.getAdmin())) {
            // 如果是管理员，拥有所有权限
            PermissionQo qo = new PermissionQo();
            qo.setAdmin(false);
            List<Permission> permissions = permissionService.getList(qo);
            entity.setPermissions(permissions);
        }
        if (null == entity.getType()) {
            entity.setType(RoleType.PC);
        }
        return super.create(entity);
    }
}
